Subject: Re: bug#406: apt-2.0.0: Runs very, very slow after update to version 2.0

From: Klaus Ethgen <[email-masked]>
Date: Sun, 3 May 2020 21:58:38 +0100

Another think I seen..

`apt search '.*'` takes hours (as does all apt search or list calls).

But when I do the usual way `apt-cache search '.*'` it gives me the list
instant. (But it runs ages.)

The man page of apt says that this two should be identical and it
definitively was in the old version but now they are complete different.

By the way, even apt-cache needs some time to finish. I let it count the
lines (packages) and I get a count of 80318 lines which takes nearly 11
minutes time. My /var/lib/dpkg/available file only counts 90655
packages.

Gruß
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C